### Method

# FwupdPlugin Device set_metadata_integer

#### Declaration [src]

    void
    fu_device_set_metadata_integer (
      FuDevice* self,
      const gchar* key,
      guint value
    )

#### Description [src]

Sets an item of metadata on the device. The integer is stored as a base-10 string internally.

Available since: | 0.9.7

#### Parameters

`key` | `const gchar*`
| The key.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`value` | `guint`
| The unsigned integer value.